using UnityEngine;
using System.Collections;
using System.Collections.Generic;

public abstract class Challenge {
	public string text;

	public abstract bool isValid();
	public abstract string getDescription();

	public List<string> getWords() {
		string[] parts = text.Split (' ');
		List<string> words = new List<string> ();
		for (int i = 0; i < parts.Length; ++i) {
			if (parts[i].Length > 0) {
				words.Add (parts[i]);
			}
		}
		return words;
	}
}
